Bug 209103 - textproc/irstlm: Fix build with libc++ 3.8.0
Summary: textproc/irstlm: Fix build with libc++ 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 208158
  Show dependency treegraph
 
Reported: 2016-04-27 17:50 UTC by Dimitry Andric
Modified: 2016-04-30 08:23 UTC (History)
2 users (show)

See Also:
demon: maintainer-feedback+


Attachments
Remove -isystem from CXXFLAGS to fix build (1.00 KB, patch)
2016-04-27 17:50 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-04-27 17:50:05 UTC
Created attachment 169763 [details]
Remove -isystem from CXXFLAGS to fix build

During the exp-run in bug 208158, it was found that textproc/irstlm gives errors with libc++ 3.8.0 [1]:

In file included from dictionary.cpp:23:
In file included from ./mfstream.h:26:
In file included from /usr/include/c++/v1/iostream:38:
In file included from /usr/include/c++/v1/ios:216:
In file included from /usr/include/c++/v1/__locale:15:
In file included from /usr/include/c++/v1/string:439:
In file included from /usr/include/c++/v1/algorithm:624:
In file included from /usr/include/c++/v1/initializer_list:47:
/usr/include/c++/v1/cstddef:43:15: fatal error: 'stddef.h' file not found
#include_next <stddef.h>
              ^

This is because the port inexplicably tries to add /usr/include as a system include directory, using -isystem, and this screws up the order of include directories.  Fix it by removing the unnecessary -isystem flag.

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/irstlm-5.80.03_4.log
Comment 1 Dmitry Sivachenko freebsd_committer 2016-04-30 07:23:50 UTC
please commit, thanks!
Comment 2 commit-hook freebsd_committer 2016-04-30 08:19:21 UTC
A commit references this bug:

Author: pi
Date: Sat Apr 30 08:18:32 UTC 2016
New revision: 414336
URL: https://svnweb.freebsd.org/changeset/ports/414336

Log:
  textproc/irstlm:  Fix build with libc++ 3.8.0

  PR:		209103
  Submitted by:	dim
  Approved by:	demon

Changes:
  head/textproc/irstlm/files/patch-src_Makefile.am
Comment 3 Kurt Jaeger freebsd_committer 2016-04-30 08:23:09 UTC
Committed, thanks!